Appointment Types
Get Appointment Type by Locator
Resolves exactly one of id, key, or external_id within this organisation and returns the appointment type. Gallery and deleted appointment types are excluded. Use include=scheduler and/or include=statuses to request those projections.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
id?string
Unique identifier for the resource.
Format
uuidkey?string
Stable key used to identify the resource.
Length
1 <= lengthexternal_id?string
Identifier assigned by an external system.
Length
1 <= lengthinclude?array<"scheduler" | "statuses">
Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar.
Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/appointment-types/by"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "external_id": "string", "key": "string", "emoji": "string", "scheduling_enabled": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "scheduler": { "additional_fields": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key": "string", "label": "string", "value_type": "string" } ] }, "statuses": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key": "string", "name": "string", "type": "cancelled", "idx": 9007199254740991 } ]}